<template>
  <center>
    <h1></h1>
    <br />
    <br />
    <br />
    <br />
    <br />
    <br />

    <v-card class="mx-auto"
    color="#EFF8FF"
    outlined
    max-width="750" >
      <v-form>
        <v-container>
          <center>
            <h2></h2>
            <br /><br />
            <br />
            <!-- ใส่รูปตรงนี้!!! -->
            <img
              src="../static/BackgroundEraser_image.png"
              alt="logo"
              width="200px"
              height="200px"
            />
            <br />
          </center>
          <center>
            <p class=" font-weight-regular">
              <font size="26" color="black">Cafe</font>
            </p>
          </center>
          <center>
            <v-col md="7" >
              <v-text-field
                class="inputtext"
                label="Username "
                placeholder="Username "
                color="#D7C0AE"
                outlined
                v-model="form.username"
              >
              </v-text-field>
            </v-col>

            <v-col md="7">
              <v-text-field
                class="inputtext"
                label="Password"
                placeholder="Password"
                color="#D7C0AE"
                outlined 
                v-model="form.password"
                type="password"
              >
              </v-text-field>
            </v-col>

            <a href="/fgpassword">forget password</a>
            <br /><br />
            <div class="col-lg-12">
              
                
                <v-btn
                  color="#D7C0AE"
                  class="mr-4 black--text"
                  @click="Ok(form.username,form.password)"
                  width="325"
                  height="55"
                  
                >
                 Enter
                  
                </v-btn>
              
              <!-- <v-btn color="#CA4343" class="mr-4 white--text" v-on:click="Ok()"> login </v-btn> -->
            </div>
          </center>
        </v-container>
      </v-form>
      </v-card>
  </center>
</template>

<script>
export default {
  layout: "default2",

  data() {
    return {
      form: {
        username: "",
        password: "",
      },
    };
  },
  methods: {
    Ok() {
      if (this.form.username == "A1" && this.form.password == "1234") {
        this.$router.push({
          name: 'cashier',
        })
      } else if(this.form.username == "Master" && this.form.password == "qwerty"){
        this.$router.push({
          name: 'manager',
        });
      }else if((this.form.username != " " && this.form.password !=" ")||(this.form.username == " " && this.form.username == " ")){
        this.$router.push({
          name:'error2',
        })
      }
      else{
        alert("Please fill out the information correctly.");
        this.$router.push({
          name: "error2",
        });
      }
    },
  },
};
</script>

<style>
#back {
  background-color: #8c1515;
}

#hh {
  text-align: center;
}

div .ok {
  padding-top: 1px;
  padding-right: 510px;
  padding-left: 10px;
}
.white {
  background-color: aliceblue;
}
</style>